/*
 Navicat Premium Data Transfer

 Source Server         : 172.16.5.166
 Source Server Type    : MySQL
 Source Server Version : 50744
 Source Host           : 172.16.5.166:3306
 Source Schema         : syslog

 Target Server Type    : MySQL
 Target Server Version : 50744
 File Encoding         : 65001

 Date: 20/01/2025 14:26:49
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for SystemEvents
-- ----------------------------
DROP TABLE IF EXISTS `SystemEvents`;
CREATE TABLE `SystemEvents`  (
  `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `CustomerID` bigint(20) NULL DEFAULT NULL,
  `ReceivedAt` datetime NULL DEFAULT NULL,
  `DeviceReportedTime` datetime NULL DEFAULT NULL,
  `Facility` smallint(6) NULL DEFAULT NULL,
  `Priority` smallint(6) NULL DEFAULT NULL,
  `FromHost` varchar(63) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `Message` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `NTSeverity` int(11) NULL DEFAULT NULL,
  `Importance` int(11) NULL DEFAULT NULL,
  `EventSource` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `EventUser` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `EventCategory` int(11) NULL DEFAULT NULL,
  `EventID` int(11) NULL DEFAULT NULL,
  `EventBinaryData` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `MaxAvailable` int(11) NULL DEFAULT NULL,
  `CurrUsage` int(11) NULL DEFAULT NULL,
  `MinUsage` int(11) NULL DEFAULT NULL,
  `MaxUsage` int(11) NULL DEFAULT NULL,
  `InfoUnitID` int(11) NULL DEFAULT NULL,
  `SysLogTag` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `EventLogType` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `GenericFileName` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `SystemID` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`ID`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of SystemEvents
-- ----------------------------

-- ----------------------------
-- Table structure for SystemEventsProperties
-- ----------------------------
DROP TABLE IF EXISTS `SystemEventsProperties`;
CREATE TABLE `SystemEventsProperties`  (
  `ID` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `SystemEventID` int(11) NULL DEFAULT NULL,
  `ParamName` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `ParamValue` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  PRIMARY KEY (`ID`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of SystemEventsProperties
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
